<?php
/**
 * app/controllers/bedrock.php
 *
 * This is the bedrock controller.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers;

use TheTempusProject\Hermes\Functions\Redirect;
use TheTempusProject\Bedrock\Functions\Session;
use TheTempusProject\Bedrock\Functions\Check;
use TheTempusProject\Bedrock\Functions\Input;
use TheTempusProject\Hermes\Functions\Route as Routes;
use TheTempusProject\Houdini\Classes\Issues;
use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Houdini\Classes\Template;
use TheTempusProject\Classes\Controller;
use TheTempusProject\Classes\Forms;
use TheTempusProject\TheTempusProject as App;

class Bedrock extends Controller {
    public function index() {
        self::$title = '{SITENAME} - Bedrock';
        self::$pageDescription = 'Bedrock is a dependency of {SITENAME} that provides many components used to manipulate database data and many helper functions vital for running the entire application.';
        Views::view( 'deps.bedrock' );
    }

    public function packagist() {
        Redirect::external( 'https://packagist.org/packages/thetempusproject/bedrock' );
    }

    public function git() {
        Redirect::external( 'https://git.thetempusproject.com/the-tempus-project/bedrock' );
    }

    public function changes() {
        self::$title = '{SITENAME} - Bedrock Changes';
        self::$pageDescription = 'Bedrock is a dependency of {SITENAME} and this pages lists the most recent changes with some details on those changes.';
        Views::view( 'changes.bedrock' );
    }
}
