<?php
/**
 * app/plugins/subscribe/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Subscribe
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use ReflectionClass;
use TheTempusProject\Classes\Installer;
use TheTempusProject\Houdini\Classes\Navigation;
use TheTempusProject\Classes\Plugin;
use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\TheTempusProject as App;

class Subscribe extends Plugin {
    private static $loaded = false;
    public $pluginName = 'TP Subscribe';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin to add a method for users to share their email.';
    public $admin_links = [
        [
            'text' => '<i class="fa fa-fw fa-address-book"></i> Subscriptions',
            'url' => '{ROOT_URL}admin/subscriptions',
        ],
    ];

    public function __construct( $load = false ) {
        parent::__construct( $load );
        if ( ! self::$loaded ) {
            if ( $this->checkEnabled() ) {
                Components::append( 'FOOTER_RIGHT', Views::simpleView( 'subscribe.footer.right') );
            }
            self::$loaded = true;
        }
    }
}
